import { Entity, Column, ManyToOne, PrimaryGeneratedColumn } from 'typeorm';
import { Album } from '@/album/album.entity';

@Entity()
export class Song {
  @PrimaryGeneratedColumn()
  id: number

  @Column()
  title: string

  @Column()
  duration: number

  @ManyToOne(() => Album, (album) => album.songs)
  album: Album
}
