import React from "react";
import Link from "next/link";
import Logo from "./logo";
import Button from "./button";

const Navbar = () => {
  return (
    <nav className="navbar">
      <div className="container">
        <ul className="navbar-list">
          <li className="navbar-item">
            <Logo />
          </li>
          <li className="navbar-item">
            <Link href="/album" className="navbar-link">
              <p>Albums</p>
            </Link>
          </li>
          <li className="navbar-item">
            <Button />
          </li>
        </ul>
      </div>
    </nav>
  );
};

export default Navbar;
